[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSimpleRWSync.Beginread

Acquire a read lock

## Declaration

Source position: systhrdh.inc line 35

`public procedure TSimpleRWSync.Beginread;`

## Description

BeginRead waits till all other threads have released their read or write locks on the object, and then acquires a read lock on the object.

## See also

TSimpleRWSync.BeginWrite |  | Acquire a write lock
TSimpleRWSync.EndRead |  | Release the read lock